## dbscripts-20181010-1-any.pkg.tar.xz

=== dbscripts/Makefile ===
all:
.PHONY: all

check:
	$(MAKE) -C test test
check-coverage:
	rm -rf ${PWD}/coverage
	$(MAKE) -C test test-coverage
.PHONY: check check-coverage

test: check
test-coverage: check-coverage
.PHONY: test test-coverage

=== dbscripts/test/Makefile ===
export BUILDDIR ?= $(or $(TMPDIR),/tmp)/dbscripts-build
COVERAGE_DIR ?= $(CURDIR)/../coverage

test:
	PATH=$(CURDIR)/../:$(CURDIR)/../cron-jobs/:$(PATH) bats cases

test-coverage:
	PATH=$(CURDIR)/../:$(CURDIR)/../cron-jobs/:$(PATH) kcov \
		--include-path=$(CURDIR)/../ \
		--exclude-path=$(CURDIR)/../test,$(CURDIR)/../config \
		$(COVERAGE_DIR) \
		bats cases

.PHONY: test test-coverage

=== dbscripts/test/fixtures/pkg-single-epoch/PKGBUILD ===
pkgname=pkg-single-epoch
pkgver=1
pkgrel=1
epoch=1
pkgdesc="A package called ${pkgname}"
arch=('x86_64')
url='http://www.archlinux.org/'
license=('GPL')
depends=('glibc')
options=(!strip)

package() {
	install -D -m755 /bin/true ${pkgdir}/usr/bin/${pkgname}
}

=== dbscripts/test/fixtures/slavery/PKGBUILD ===
pkgname=slavery
pkgver=1
pkgrel=1
pkgdesc="A package called ${pkgname}"
arch=('any')
url='http://www.archlinux.org/'
license=('GPL')
options=(!strip)

package() {
	install -d -m755 "${pkgdir}"/usr/share/${pkgname}
	echo 'test' > "${pkgdir}"/usr/share/${pkgname}/test
}
